[gnome-user-share/tchaik/gnome-common-removal] build: Use autoreconf instead of gnome-common
- From: Martin Blanchard <mablanch src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-user-share/tchaik/gnome-common-removal] build: Use autoreconf instead of gnome-common
- Date: Wed, 27 Mar 2019 09:10:22 +0000 (UTC)
commit 8dd2cf11754f6c23cceb3b829d1845b4442bbfcf
Author: Martin Blanchard <tchaik gmx com>
Date: Thu Mar 21 23:18:20 2019 +0000
build: Use autoreconf instead of gnome-common
The gnome-common module is deprecated.
https://wiki.gnome.org/Projects/GnomeCommon/Migration
.gitlab-ci.yml | 5 +++--
autogen.sh | 40 +++++++++++++++++++++++++++++-----------
configure.ac | 3 +--
3 files changed, 33 insertions(+), 15 deletions(-)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index d6122c7..6e9a7c0 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -1,9 +1,10 @@
image: fedora:rawhide
variables:
- DEPENDENCIES: gcc gtk3-devel httpd mod_dnssd intltool itstool libcanberra-devel
+ DEPENDENCIES: gcc gtk3-devel httpd mod_dnssd libcanberra-devel
desktop-file-utils libselinux-devel dbus-glib-devel libnotify-devel
- nautilus-devel gettext systemd-devel gnome-common which make
+ nautilus-devel gettext-devel systemd-devel
+ autoconf autoconf-archive automake libtool findutils which make
build_stable:
before_script:
diff --git a/autogen.sh b/autogen.sh
index 3782bd4..9e5120f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,21 +1,39 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
+
+cd "$srcdir"
PKG_NAME="gnome-user-share"
-REQUIRED_AUTOMAKE_VERSION=1.6
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/src/user_share-webdav.c) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+(test -f configure.ac && test -f src/user_share-webdav.c) || {
+ echo -n "*** ERROR: Directory '$srcdir' does not look like the"
echo " top-level $PKG_NAME directory"
exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
-}
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+aclocal --install || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index fd50f87..28d568a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -14,8 +14,7 @@ m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])])
AM_SANITY_CHECK
AM_MAINTAINER_MODE([enable])
-GNOME_DEBUG_CHECK
-GNOME_COMPILE_WARNINGS([maximum])
+AX_CHECK_ENABLE_DEBUG([yes])
# Check for programs
AC_C_CONST
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]